% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cloudsearch_operations.R
\name{cloudsearch_update_scaling_parameters}
\alias{cloudsearch_update_scaling_parameters}
\title{Configures scaling parameters for a domain}
\usage{
cloudsearch_update_scaling_parameters(DomainName, ScalingParameters)
}
\arguments{
\item{DomainName}{[required]}

\item{ScalingParameters}{[required]}
}
\description{
Configures scaling parameters for a domain. A domain's scaling parameters specify the desired search instance type and replication count. Amazon CloudSearch will still automatically scale your domain based on the volume of data and traffic, but not below the desired instance type and replication count. If the Multi-AZ option is enabled, these values control the resources used per Availability Zone. For more information, see \if{html}{\out{<a href="https://docs.aws.amazon.com/cloudsearch/latest/developerguide/configuring-scaling-options.html" target="_blank">}}Configuring Scaling Options\if{html}{\out{</a>}} in the \emph{Amazon CloudSearch Developer Guide}.

See \url{https://www.paws-r-sdk.com/docs/cloudsearch_update_scaling_parameters/} for full documentation.
}
\keyword{internal}
