% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/emr_operations.R
\name{emr_put_auto_scaling_policy}
\alias{emr_put_auto_scaling_policy}
\title{Creates or updates an automatic scaling policy for a core instance group
or task instance group in an Amazon EMR cluster}
\usage{
emr_put_auto_scaling_policy(ClusterId, InstanceGroupId, AutoScalingPolicy)
}
\arguments{
\item{ClusterId}{[required] Specifies the ID of a cluster. The instance group to which the automatic
scaling policy is applied is within this cluster.}

\item{InstanceGroupId}{[required] Specifies the ID of the instance group to which the automatic scaling
policy is applied.}

\item{AutoScalingPolicy}{[required] Specifies the definition of the automatic scaling policy.}
}
\description{
Creates or updates an automatic scaling policy for a core instance group or task instance group in an Amazon EMR cluster. The automatic scaling policy defines how an instance group dynamically adds and terminates Amazon EC2 instances in response to the value of a CloudWatch metric.

See \url{https://www.paws-r-sdk.com/docs/emr_put_auto_scaling_policy/} for full documentation.
}
\keyword{internal}
