% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mturk_operations.R
\name{mturk_list_hi_ts_for_qualification_type}
\alias{mturk_list_hi_ts_for_qualification_type}
\title{The ListHITsForQualificationType operation returns the HITs that use the
given Qualification type for a Qualification requirement}
\usage{
mturk_list_hi_ts_for_qualification_type(
  QualificationTypeId,
  NextToken = NULL,
  MaxResults = NULL
)
}
\arguments{
\item{QualificationTypeId}{[required] The ID of the Qualification type to use when querying HITs.}

\item{NextToken}{Pagination Token}

\item{MaxResults}{Limit the number of results returned.}
}
\description{
The \code{\link[=mturk_list_hi_ts_for_qualification_type]{list_hi_ts_for_qualification_type}} operation returns the HITs that use the given Qualification type for a Qualification requirement. The operation returns HITs of any status, except for HITs that have been deleted with the \code{\link[=mturk_delete_hit]{delete_hit}} operation or that have been auto-deleted.

See \url{https://www.paws-r-sdk.com/docs/mturk_list_hi_ts_for_qualification_type/} for full documentation.
}
\keyword{internal}
